TODO: contribute to TROUBLESHOOTING.md

I tend to comment on old issues, often with solutions or a cross-reference to a duplicate with more information. For example I've got 45 answers on Stackoverflow, and I think most of them apply to questions over a year old. Granted, Stackoverflow questions are often more general and the rapid release of updates makes old issues more irrelevant.

My biggest issue with npm on Github is the way that support issues are continuously closed or marked as support, often with no resolution or ticketing for formal investigation. Then people file them again, and ultimately there are dozens - or even hundreds - of the same issue. Maybe Discourse has a duplicate checker that could help? Or a list of known issues could be maintained, perhaps by the community, with a checklist of steps? It seems like https://github.com/npm/npm/blob/latest/TROUBLESHOOTING.md exists to serve this purpose, but it hasn't gotten much attention - something outside the source tree would be easier to update.

For example, there are [around 400 reports for "error cb() never called!"](https://github.com/npm/npm/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+%22error+cb%28%29+never+called%21%22). I commented in one that this was in the known issues list https://github.com/npm/npm/issues/16991#issue-233632137 but I'm not sure what the status is on currently known issues and progress on driving that down. *I'm sure that somewhere within those 400 issues, there is a bunch of knowledge that could be extracted for everyone else.* Another example 
 is a bug like https://github.com/npm/npm/issues/18108 - I'm sure that there are multiple duplicate reports of this (I only found on 1). Once the person finds the workaround, they can address it, but if it was fixed entirely the support issues could be avoided.

Another thought: this is a tool for programmers. Some of them would be happy to work directly with a team member to nail down the exact cause of the problem. If the bug report issue form suggests bisecting, maybe that will occur to people more readily. Possibly the dev environment could be more automated or straightforward - https://github.com/npm/npm/blob/latest/README.md and https://github.com/npm/npm/blob/latest/CONTRIBUTING.md are a bit light on technical details. I'm running more and more of my apps from source so that I can quickly bisect regressions.